Clutter::Clone Class Reference
Inheritance diagram for Clutter::Clone:
[legend]
Collaboration diagram for Clutter::Clone:
[legend]

List of all members.

## Public Member Functions

virtual | ~Clone ()
ClutterClone* | gobj ()
| Provides access to the underlying C GObject.
const ClutterClone* | gobj () const
| Provides access to the underlying C GObject.
ClutterClone* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Actor > | get_source ()
| Retrieves the source Clutter::Actor being cloned by clone.
Glib::RefPtr< const Actor > | get_source () const
| Retrieves the source Clutter::Actor being cloned by clone.
void | get_source (const Glib::RefPtr< Actor >& source)
| Sets source as the source actor to be cloned by clone.

## Static Public Member Functions

static Glib::RefPtr< Clone > | create (const Glib::RefPtr< Actor >& source)

## Protected Member Functions

| Clone (const Glib::RefPtr< Actor >& source)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::Clone > | wrap (ClutterClone* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Clone::~Clone | ( |  | ) | `[virtual]`

Clutter::Clone::Clone | ( | const Glib::RefPtr< Actor >& | source | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Clone> Clutter::Clone::create | ( | const Glib::RefPtr< Actor >& | source | ) | `[static]`

void Clutter::Clone::get_source | ( | const Glib::RefPtr< Actor >& | source | ) |

Sets source as the source actor to be cloned by clone.

Since cluttermm 1.0:

Parameters:

  source | A Clutter::Actor, or `0`.

Glib::RefPtr<Actor> Clutter::Clone::get_source | ( |  | ) |

Retrieves the source Clutter::Actor being cloned by clone.

Since cluttermm 1.0:

Returns:
  The actor source for the clone.

Glib::RefPtr<const Actor> Clutter::Clone::get_source | ( |  | ) | const

Retrieves the source Clutter::Actor being cloned by clone.

Since cluttermm 1.0:

Returns:
  The actor source for the clone.

const ClutterClone* Clutter::Clone::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Actor.

ClutterClone* Clutter::Clone::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Actor.

ClutterClone* Clutter::Clone::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Actor.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Clone > wrap | ( | ClutterClone * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/clone.h